version: '3.7'
services:
  tester:
    image: "$CPPINTTEST_REGISTRY_IMAGE"
    environment:
      CAOSDB_SERVER_HOST: caosdb-server
      CAOSDB_SERVER_PORT: 8443
      CAOSDB_SERVER_CA_PEM: /cert/caosdb.cert.pem
    networks:
      - docker_caosnet
    volumes:
      - type: bind
        source: ./cert
        target: /cert
      - type: volume
        source: extroot
        target: /extroot
      - type: volume
        source: scripting
        target: /scripting
      - type: volume
        source: authtoken
        target: /authtoken
networks:
  docker_caosnet:
    external: true
volumes:
  scripting:
  extroot:
  authtoken:
